summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rwxr-xr-xtests/tests/baredebian-push4
1 files changed, 4 insertions, 0 deletions
diff --git a/tests/tests/baredebian-push b/tests/tests/baredebian-push
index 7dfee4b..a559312 100755
--- a/tests/tests/baredebian-push
+++ b/tests/tests/baredebian-push
@@ -48,6 +48,10 @@ dpkg-buildpackage -uc -us --build=source
t-dgit -wn --quilt=baredebian --dgit-view-save=split.b quilt-fixup
t-dgit -wn --quilt=baredebian --dgit-view-save=split.p --new push
+git merge-base --is-ancestor v${v%-*} split.p
+git merge-base --is-ancestor HEAD split.p
+set +e; git merge-base HEAD v${v%-*}; rc=$?; set -e; [ $rc = 1 ]
+
git clean -xdff
# t-pushed-good-* wants a clean tree to start with, but this
# workflow expects a mess